Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 643122 - =sys-block/open-iscsi-2.0.875 stabilization
Summary: =sys-block/open-iscsi-2.0.875 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2018-01-14
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest, STABLEREQ
Depends on: 611778 686100
Blocks: glibc-2.26-stable
  Show dependency tree
 
Reported: 2018-01-02 15:03 UTC by Thomas Deutschmann
Modified: 2021-05-16 20:12 UTC (History)
4 users (show)

See Also:
Package list:
sys-block/open-iscsi-2.0.875 sys-fabric/ofed-3.12_rc1 amd64 x86 sys-fabric/libibcm-1.0.5-r3 amd64 x86 sys-fabric/libibmad-1.3.11 amd64 x86 sys-fabric/libibumad-1.3.9 amd64 x86 sys-fabric/librdmacm-1.0.18-r1 amd64 x86 sys-fabric/dapl-2.0.40 amd64 x86 sys-fabric/infiniband-diags-1.6.4 amd64 x86 sys-fabric/ibacm-1.0.8 amd64 x86 sys-fabric/opensm-3.3.17-r1 amd64 x86 sys-fabric/perftest-2.0 amd64 x86 sys-fabric/qperf-0.4.9 amd64 x86 sys-fabric/srptools-1.0.2 amd64 x86 sys-fabric/rds-tools-2.0.4-r4 amd64 x86 sys-fabric/libcxgb3-1.3.1-r2 amd64 x86 sys-fabric/libcxgb4-1.3.2 amd64 x86 sys-fabric/libipathverbs-1.2.1 amd64 x86 sys-fabric/libmlx4-1.0.5 amd64 x86 sys-fabric/libmlx5-1.0.1 amd64 x86 sys-fabric/libmthca-1.0.6 amd64 x86 sys-fabric/libnes-1.1.4 amd64 x86 sys-fabric/libocrdma-1.0.2 amd64 x86 sys-fabric/infinipath-psm-3.2 amd64 x86 sys-fabric/libibverbs-1.1.7-r1 amd64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments
Patch for gcc-10 (open-iscsi-2.0.875-gcc10-fix.patch,3.17 KB, patch)
2021-01-14 19:25 UTC, Jiří Moravec
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann (RETIRED) gentoo-dev 2018-01-02 15:03:24 UTC
We need to stabilize =sys-block/open-iscsi-2.0.874-r2 for glibc-2.25 (bug 604442). But given that -r2 removes an udev rule (bug 633574) let's wait some days before we start.
Comment 1 Diogo Pereira 2018-02-19 00:45:24 UTC
Maybe stabilize 2.0.875 instead? It's almost 6 months old by now.
Comment 2 Thomas Deutschmann (RETIRED) gentoo-dev 2018-02-19 00:48:54 UTC
Sure, @Arches,

please test and mark stable: =sys-block/open-iscsi-2.0.875
Comment 3 Stabilization helper bot gentoo-dev 2018-02-19 01:00:55 UTC
An automated check of this bug failed - repoman reported dependency errors (121 lines truncated): 

> dependency.bad sys-block/open-iscsi/open-iscsi-2.0.875.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['sys-block/open-isns:=']
> dependency.bad sys-block/open-iscsi/open-iscsi-2.0.875.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['sys-block/open-isns:=']
> dependency.bad sys-block/open-iscsi/open-iscsi-2.0.875.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['sys-block/open-isns:=']
Comment 4 Stabilization helper bot gentoo-dev 2018-02-19 02:01:17 UTC
An automated check of this bug failed - repoman reported dependency errors (49 lines truncated): 

> dependency.bad sys-block/open-iscsi/open-iscsi-2.0.875.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['sys-fabric/ofed']
> dependency.bad sys-block/open-iscsi/open-iscsi-2.0.875.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['sys-fabric/ofed']
> dependency.bad sys-block/open-iscsi/open-iscsi-2.0.875.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['sys-fabric/ofed']
Comment 5 Stabilization helper bot gentoo-dev 2018-02-19 03:02:06 UTC
An automated check of this bug failed - repoman reported dependency errors (193 lines truncated): 

> dependency.bad sys-fabric/ofed/ofed-3.12_rc1.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['sys-fabric/libibcm:3.12', 'sys-fabric/libibmad:3.12', 'sys-fabric/libibumad:3.12', 'sys-fabric/librdmacm:3.12', 'sys-fabric/dapl:3.12', 'sys-fabric/infiniband-diags:3.12', 'sys-fabric/ibacm:3.12', 'sys-fabric/mstflint:3.12', 'sys-fabric/opensm:3.12', 'sys-fabric/perftest:3.12', 'sys-fabric/qperf:3.12', 'sys-fabric/srptools:3.12', 'sys-fabric/rds-tools:3.12', 'sys-fabric/libcxgb3:3.12', 'sys-fabric/libcxgb4:3.12', 'sys-fabric/libipathverbs:3.12', 'sys-fabric/libmlx4:3.12', 'sys-fabric/libmlx5:3.12', 'sys-fabric/libmthca:3.12', 'sys-fabric/libnes:3.12', 'sys-fabric/libocrdma:3.12', 'sys-fabric/infinipath-psm:3.12']
> dependency.bad sys-fabric/ofed/ofed-3.12_rc1.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['sys-fabric/libibcm:3.12', 'sys-fabric/libibmad:3.12', 'sys-fabric/libibumad:3.12', 'sys-fabric/librdmacm:3.12', 'sys-fabric/dapl:3.12', 'sys-fabric/infiniband-diags:3.12', 'sys-fabric/ibacm:3.12', 'sys-fabric/mstflint:3.12', 'sys-fabric/opensm:3.12', 'sys-fabric/perftest:3.12', 'sys-fabric/qperf:3.12', 'sys-fabric/srptools:3.12', 'sys-fabric/rds-tools:3.12', 'sys-fabric/libcxgb3:3.12', 'sys-fabric/libcxgb4:3.12', 'sys-fabric/libipathverbs:3.12', 'sys-fabric/libmlx4:3.12', 'sys-fabric/libmlx5:3.12', 'sys-fabric/libmthca:3.12', 'sys-fabric/libnes:3.12', 'sys-fabric/libocrdma:3.12', 'sys-fabric/infinipath-psm:3.12']
> dependency.bad sys-fabric/ofed/ofed-3.12_rc1.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['sys-fabric/libibcm:3.12', 'sys-fabric/libibmad:3.12', 'sys-fabric/libibumad:3.12', 'sys-fabric/dapl:3.12', 'sys-fabric/infiniband-diags:3.12', 'sys-fabric/ibacm:3.12', 'sys-fabric/mstflint:3.12', 'sys-fabric/opensm:3.12', 'sys-fabric/perftest:3.12', 'sys-fabric/qperf:3.12', 'sys-fabric/srptools:3.12', 'sys-fabric/rds-tools:3.12', 'sys-fabric/libcxgb3:3.12', 'sys-fabric/libcxgb4:3.12', 'sys-fabric/libipathverbs:3.12', 'sys-fabric/libmlx4:3.12', 'sys-fabric/libmlx5:3.12', 'sys-fabric/libmthca:3.12', 'sys-fabric/libnes:3.12', 'sys-fabric/libocrdma:3.12', 'sys-fabric/infinipath-psm:3.12']
Comment 6 Stabilization helper bot gentoo-dev 2018-02-19 19:04:00 UTC
An automated check of this bug failed - repoman reported dependency errors (49 lines truncated): 

> dependency.bad sys-fabric/librdmacm/librdmacm-1.0.18-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['sys-fabric/libibverbs:3.12[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad sys-fabric/librdmacm/librdmacm-1.0.18-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['sys-fabric/libibverbs:3.12[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
> dependency.bad sys-fabric/librdmacm/librdmacm-1.0.18-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['sys-fabric/libibverbs:3.12[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2018-02-20 08:20:02 UTC
ia64 stable
Comment 8 Thomas Deutschmann (RETIRED) gentoo-dev 2018-02-21 01:47:02 UTC
x86 stopped stabilization due to bug 611778.

@ Cluster project: Will you look into this or should we p.stable.use.mask "infiniband" to proceed?
Comment 9 Sergei Trofimovich (RETIRED) gentoo-dev 2018-03-18 23:20:03 UTC
ppc stable
Comment 10 Sergei Trofimovich (RETIRED) gentoo-dev 2018-03-23 00:04:46 UTC
ppc64 stable
Comment 11 Markus Meier gentoo-dev 2018-03-23 19:46:31 UTC
arm stable
Comment 12 Larry the Git Cow gentoo-dev 2018-04-04 22:26:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69ca11666df58b4182bd00fd54689cd3a3aee348

commit 69ca11666df58b4182bd00fd54689cd3a3aee348
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-04-04 18:01:04 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-04-04 22:25:46 +0000

    sys-block/open-iscsi: stable 2.0.875 for sparc
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="sparc"

 sys-block/open-iscsi/open-iscsi-2.0.875.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51156fc8df57da9b5c9d7792201f2a3cbfca1cfc

commit 51156fc8df57da9b5c9d7792201f2a3cbfca1cfc
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-04-04 17:46:09 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-04-04 22:25:46 +0000

    sys-block/open-isns: stable 0.98 for sparc
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="sparc"

 sys-block/open-isns/open-isns-0.98.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 13 Sergei Trofimovich (RETIRED) gentoo-dev 2018-04-06 19:30:49 UTC
sparc stable
Comment 14 Mart Raudsepp gentoo-dev 2018-04-08 22:57:05 UTC
None of the listed packages have stable versions on arm64; no idea why we were CCed
Comment 15 Matt Turner gentoo-dev 2018-04-08 23:29:05 UTC
(In reply to Mart Raudsepp from comment #14)
> None of the listed packages have stable versions on arm64; no idea why we
> were CCed

Probably people were just trying to be nice and remember arm64. Or ARM64 just happens to be in the middle of the list of arches they needed to keyword, so they mistakenly added it.

No need to sound so indignant.
Comment 16 Larry the Git Cow gentoo-dev 2018-04-23 00:24:38 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7cfdf85e4614153699eed6b6cf297f2322ad350

commit c7cfdf85e4614153699eed6b6cf297f2322ad350
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:24:19 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:24:19 +0000

    sys-fabric/infiniband-diags: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/infiniband-diags/infiniband-diags-1.6.4.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d34944e9187503421193e8a9b41b00f8155a03fe

commit d34944e9187503421193e8a9b41b00f8155a03fe
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:24:08 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:24:08 +0000

    sys-fabric/libocrdma: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libocrdma/libocrdma-1.0.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cd2cb3cf1d6aa01bd9cf27569f8de38dbd6a881

commit 7cd2cb3cf1d6aa01bd9cf27569f8de38dbd6a881
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:23:57 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:23:57 +0000

    sys-block/open-iscsi: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-block/open-iscsi/open-iscsi-2.0.875.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6e117b86cbcf1ced2cfc4339652a6484183c2cf

commit d6e117b86cbcf1ced2cfc4339652a6484183c2cf
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:23:21 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:23:21 +0000

    sys-fabric/dapl: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/dapl/dapl-2.0.40.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e943049594c8daa13423d6c806faa452db6563f4

commit e943049594c8daa13423d6c806faa452db6563f4
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:23:09 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:23:09 +0000

    sys-fabric/libehca: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libehca/libehca-1.2.2-r3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7657bd2d495bb21049a93a50db5af0c102b98ad2

commit 7657bd2d495bb21049a93a50db5af0c102b98ad2
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:23:00 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:23:00 +0000

    sys-fabric/libnes: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libnes/libnes-1.1.4.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd743e17e619493a45d3c3cc808f6b057dfdd3ef

commit dd743e17e619493a45d3c3cc808f6b057dfdd3ef
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:22:49 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:22:49 +0000

    sys-fabric/libcxgb4: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libcxgb4/libcxgb4-1.3.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77c166a1cbb3c944bee55e0d8da4f27605f286cc

commit 77c166a1cbb3c944bee55e0d8da4f27605f286cc
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:22:39 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:22:39 +0000

    sys-fabric/libibumad: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libibumad/libibumad-1.3.9.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7453eb69fbeccac680fa54ace5e45b4707cb0831

commit 7453eb69fbeccac680fa54ace5e45b4707cb0831
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:22:28 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:22:28 +0000

    sys-fabric/libibcm: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libibcm/libibcm-1.0.5-r3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f1a7ae8503056ea297edb49beb50f03d2b2c384

commit 7f1a7ae8503056ea297edb49beb50f03d2b2c384
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:22:17 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:22:17 +0000

    sys-fabric/libibmad: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libibmad/libibmad-1.3.11.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8744b6fdcd363cb1c71bc14da369fba97fedfdd

commit e8744b6fdcd363cb1c71bc14da369fba97fedfdd
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:22:05 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:22:05 +0000

    sys-fabric/ibacm: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/ibacm/ibacm-1.0.8.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70d2b382465c099430b23894f7f757091e805a7c

commit 70d2b382465c099430b23894f7f757091e805a7c
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:21:54 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:21:54 +0000

    sys-block/open-isns: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-block/open-isns/open-isns-0.98.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0805c02bad8c018eb9de79794a9bee588bc84e0

commit e0805c02bad8c018eb9de79794a9bee588bc84e0
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:21:28 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:21:28 +0000

    sys-fabric/libmlx5: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libmlx5/libmlx5-1.0.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ee0e56535447827636e019957deefd3eb1d76d9

commit 2ee0e56535447827636e019957deefd3eb1d76d9
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:21:17 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:21:17 +0000

    sys-fabric/mstflint: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/mstflint/mstflint-3.5.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e8bc63302597c5c54b7be1b15a2a1ae3afcd6e3

commit 0e8bc63302597c5c54b7be1b15a2a1ae3afcd6e3
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:21:06 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:21:06 +0000

    sys-fabric/qperf: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/qperf/qperf-0.4.9.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49d659cae6e0d6607b33887616dcef5268a506b5

commit 49d659cae6e0d6607b33887616dcef5268a506b5
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:20:54 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:20:54 +0000

    sys-fabric/libmthca: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libmthca/libmthca-1.0.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf940f3f31a857178373d3a9e375c8369f79b04d

commit cf940f3f31a857178373d3a9e375c8369f79b04d
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:20:43 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:20:43 +0000

    sys-fabric/libcxgb3: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libcxgb3/libcxgb3-1.3.1-r2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d860d7c6f78332427291ecce42d965ca52b6cdd8

commit d860d7c6f78332427291ecce42d965ca52b6cdd8
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:20:32 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:20:32 +0000

    sys-fabric/rds-tools: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/rds-tools/rds-tools-2.0.4-r3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6334738cfe57d5ae5a299a86fc023f052d60e9d7

commit 6334738cfe57d5ae5a299a86fc023f052d60e9d7
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:20:21 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:20:21 +0000

    sys-fabric/libipathverbs: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libipathverbs/libipathverbs-1.2.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca01c331dfea58b103c5925d9d3bac3379317427

commit ca01c331dfea58b103c5925d9d3bac3379317427
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:20:10 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:20:10 +0000

    sys-fabric/infinipath-psm: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/infinipath-psm/infinipath-psm-3.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a82cc7a2f5099332689a07eaaa238492e704437

commit 6a82cc7a2f5099332689a07eaaa238492e704437
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:19:58 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:19:58 +0000

    sys-fabric/opensm: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/opensm/opensm-3.3.17-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=964a594da20a1206de07ccdb6bb50b69e0c917d6

commit 964a594da20a1206de07ccdb6bb50b69e0c917d6
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:19:43 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:19:43 +0000

    sys-fabric/srptools: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/srptools/srptools-1.0.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6feca342651899097ea507d4a39a82e4c854de7

commit e6feca342651899097ea507d4a39a82e4c854de7
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:19:32 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:19:32 +0000

    sys-fabric/ofed: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/ofed/ofed-3.12_rc1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bb63b71418f3ca927ae997f058018f963db125d

commit 6bb63b71418f3ca927ae997f058018f963db125d
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:19:15 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:19:15 +0000

    sys-fabric/libmlx4: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libmlx4/libmlx4-1.0.5.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a1cc2c0c059f13dd20215a9ed920395241e896b

commit 1a1cc2c0c059f13dd20215a9ed920395241e896b
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:19:01 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:19:01 +0000

    sys-fabric/librdmacm: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/librdmacm/librdmacm-1.0.18-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0717b462d365588eef23bd8f6f5ea8024ee66ed1

commit 0717b462d365588eef23bd8f6f5ea8024ee66ed1
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:18:40 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:18:40 +0000

    sys-fabric/libibverbs: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/libibverbs/libibverbs-1.1.7-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=148a8c50fafe6df04d68894164f38564998ab043

commit 148a8c50fafe6df04d68894164f38564998ab043
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-23 00:18:16 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-23 00:18:16 +0000

    sys-fabric/perftest: amd64 stable wrt bug #643122
    
    Bug: https://bugs.gentoo.org/643122
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sys-fabric/perftest/perftest-2.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)}
Comment 17 Stabilization helper bot gentoo-dev 2018-04-30 22:00:00 UTC
An automated check of this bug failed - the following atom is unknown:

sys-fabric/mstflint-3.5.0

Please verify the atom list.
Comment 18 Matt Turner gentoo-dev 2019-10-14 00:46:27 UTC
alpha will pass
Comment 19 NATTkA bot gentoo-dev 2020-09-13 11:43:16 UTC Comment hidden (obsolete)
Comment 20 Jiří Moravec 2021-01-14 19:25:28 UTC
Created attachment 682927 [details, diff]
Patch for gcc-10

Patch necessary for compilation by gcc-10.
Comment 21 NATTkA bot gentoo-dev 2021-04-01 19:17:36 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2021-04-01 20:13:37 UTC Comment hidden (obsolete)
Comment 23 NATTkA bot gentoo-dev 2021-04-01 22:13:34 UTC Comment hidden (obsolete)
Comment 24 NATTkA bot gentoo-dev 2021-04-09 20:32:56 UTC Comment hidden (obsolete)
Comment 25 Larry the Git Cow gentoo-dev 2021-04-30 19:03:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1b6266f39d0eb515c5377f1352e251aafb67052

commit f1b6266f39d0eb515c5377f1352e251aafb67052
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-04-18 11:57:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-04-30 19:02:36 +0000

    sys-block/open-iscsi: Drop 2.0.873-r1, EAPI5--
    
    All arches have more up-to-date versions stable.
    
    Bug: https://bugs.gentoo.org/643122
    Bug: https://bugs.gentoo.org/763954
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sys-block/open-iscsi/Manifest                      |   1 -
 .../files/open-iscsi-2.0.873-Makefiles.patch       | 161 ---------------------
 .../files/open-iscsi-2.0.873-memset.patch          |  24 ---
 sys-block/open-iscsi/open-iscsi-2.0.873-r1.ebuild  |  96 ------------
 4 files changed, 282 deletions(-)
Comment 26 Larry the Git Cow gentoo-dev 2021-05-16 19:42:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30721c26b000b906b6276a994c7a4cf9fdaececa

commit 30721c26b000b906b6276a994c7a4cf9fdaececa
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-05-16 19:41:22 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-16 19:41:22 +0000

    sys-block/open-iscsi: add -fcommon to fix GCC 10 build
    
    Bug: https://bugs.gentoo.org/643122
    Acked-by: David Seifert <soap@gentoo.org>
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-block/open-iscsi/open-iscsi-2.0.875.ebuild | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
Comment 27 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-05-16 19:53:32 UTC
x86 done

all arches done
Comment 28 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-05-16 20:12:11 UTC
(In reply to Sam James from comment #27)
> x86 done
> 
> all arches done

(Removed problematic package from list as it was no longer(?) needed.)